Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

SOLVED Problem converting to EasyApache 4

Discussion in 'EasyApache' started by Morri Luca, Feb 16, 2017.

  1. Morri Luca

    Morri Luca Member

    Joined:
    Mar 19, 2015
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Italia
    cPanel Access Level:
    Root Administrator
    Hello, i try to upgrade to EasyApache3 to EasyApache4, but i recevive an errore end i
    return to EasyApache3,

    Now i reveice for all website,
    Code:
    "Internal Server Error"
    and this i the log
    
    warn [whostmgrd] The subprocess (/usr/local/cpanel/whostmgr/docroot/cgi/easyapache.pl) exited with an error: The subprocess reported erro$
            Cpanel::Server::Handlers::SubProcess::_report_subprocess_errors(Cpanel::Server::Handlers::SubProcess=HASH(0x3844fd8)) called at /usr/local/cpanel/Cpanel/Serv$
            Cpanel::Server::Handlers::SubProcess::handler(Cpanel::Server::Handlers::SubProcess=HASH(0x3844fd8), __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, $
            cpanel::cpsrvd::cgiHandler(__CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__) called at cpsrvd.pl line 5799
            cpanel::cpsrvd::dodoc_whostmgrd() called at cpsrvd.pl line 1609
            cpanel::cpsrvd::dodoc(HASH(0x13a7770)) called at cpsrvd.pl line 1314
            cpanel::cpsrvd::handle_one_connection() called at cpsrvd.pl line 849
            cpanel::cpsrvd::script() called at cpsrvd.pl line 319
    
    How can i resolve it?
     
    #1 Morri Luca, Feb 16, 2017
    Last edited by a moderator: Feb 16, 2017
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,442
    Likes Received:
    1,961
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    To update, it looks like this issue was addressed via a support ticket. Correcting an issue where two perl binaries were symlinked to each other allowed the conversion to successfully complete.

    Thanks!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice